Register a library asset and get a presigned upload URL (staff)
POST /api/uploads. Register a library asset and get a presigned upload URL (staff). Headless LMS Assets API reference.
Staff only (owner, admin, instructor). The asset stays pending until you upload the file and confirm it.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/uploads" \ -H "Content-Type: application/json" \ -d '{ "filename": "string", "contentType": "string" }'{ "asset": { "orgId": "string", "id": "string", "kind": "image", "source": "library", "filename": "string", "contentType": "string", "size": 0, "status": "pending", "uploadedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "url": "string", "downloadUrl": "string" }, "uploadUrl": "string", "method": "PUT", "expiresInSeconds": 1, "headers": { "property1": "string", "property2": "string" }}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Delete an upload of yours that nothing references DELETE
DELETE /api/member/uploads/{id}. Delete an upload of yours that nothing references. Headless LMS Assets API reference.
Confirm a library upload completed (staff) POST
POST /api/assets/{id}/confirm. Confirm a library upload completed (staff). Headless LMS Assets API reference.